class Arbitrator {

   private static final int NUM_NODES = 2; // for two nodes only

                            // Second attempt:  check other's flag.
   private volatile boolean[] desiresCS = {false, false};

   public Arbitrator(int numNodes) {
      if (numNodes != NUM_NODES) {
         System.err.println("Arbitrator: numNodes=" + numNodes
            + " which is != " + NUM_NODES);
         System.exit(1);
      }
   }

   private int other(int i) { return (i + 1) % NUM_NODES; }

   public void wantToEnterCS(int i) {       // pre-protocol
      while (desiresCS[other(i)]) /* busy-wait */ ;
      desiresCS[i] = true;
   }

   public void finishedInCS(int i) {        // post-protocol
      desiresCS[i] = false;
   }
}
